buildr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From lacton <lac...@users.sourceforge.net>
Subject Re: [jira] Commented: (BUILDR-166) Upgrade to use RSpec 1.1.9
Date Wed, 29 Oct 2008 21:12:57 GMT
On Wed, Oct 29, 2008 at 5:50 PM, Assaf Arkin <arkin@intalio.com> wrote:
>> It looks like there is something wrong with the 1.1.9 gem.  I am getting the following
error message.
>>
>> ERROR:  Error installing rspec:
>>        rspec requires spicycode-rcov (>= 0.8.1.3)
>
> This is said to be fixed in the latest and greatest RSpec:
>
> === Version 1.1.11 / 2008-10-24
>
> * 1 major enhancement
>
>  * eliminate ALL gem dependencies (as they were causing trouble for
> people on different platforms/environment
>
>
> Can you test with 1.1.11 to see if this was solved?

Yes.  It was solved.  I installed RSpec 1.1.11 without any problem.

Still, I run into another issue.

Buildr::TarTask
- should invoke and archive file tasks (ERROR - 1)

Buildr::TarTask gzipped
- should invoke and archive file tasks (ERROR - 2)

Buildr::ZipTask
- should invoke and archive file tasks (ERROR - 3)

1)
NoMethodError in 'Buildr::TarTask should invoke and archive file tasks'
undefined method `each_pair' for "included":String

Lacton

> Assaf
>
>>
>>
>>> Upgrade to use RSpec 1.1.9
>>> --------------------------
>>>
>>>                 Key: BUILDR-166
>>>                 URL: https://issues.apache.org/jira/browse/BUILDR-166
>>>             Project: Buildr
>>>          Issue Type: Improvement
>>>            Reporter: Assaf Arkin
>>>             Fix For: 1.3.4
>>>
>>>
>>
>>
>> --
>> This message is automatically generated by JIRA.
>> -
>> You can reply to this email to add a comment to the issue online.
>>
>>
>

Mime
View raw message